import { jsx } from "react/jsx-runtime";
import { TokenSLP as TokenSLP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSLP = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SLP", "data-name": "TokenSLP", ...props, children: /* @__PURE__ */ jsx(TokenSLP$1, { variant }) });
  }
);
TokenSLP.displayName = "TokenSLP";
Object.assign(TokenSLP, { isGdsIcon: true });
export {
  TokenSLP
};
